Look up SKU pricing
curl --request POST \
--url https://billing.platform.arb.inc/pricing/lookup \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"skuCode": "DOCUMENT_FILING",
"skuCodes": [
"DOCUMENT_FILING",
"CREDITS_50",
"CASE_CREATION"
]
}
'import requests
url = "https://billing.platform.arb.inc/pricing/lookup"
payload = {
"skuCode": "DOCUMENT_FILING",
"skuCodes": ["DOCUMENT_FILING", "CREDITS_50", "CASE_CREATION"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
skuCode: 'DOCUMENT_FILING',
skuCodes: ['DOCUMENT_FILING', 'CREDITS_50', 'CASE_CREATION']
})
};
fetch('https://billing.platform.arb.inc/pricing/lookup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"prices": [
{
"skuCode": "DOCUMENT_FILING",
"name": "Document Filing",
"description": "File a document in a case",
"priceCredits": 10,
"priceDollars": 1,
"isActive": true
}
]
}pricing
Look up SKU pricing
Looks up current pricing information for one or more SKU codes. Supports both single SKU lookup and batch lookup of up to 50 SKUs.
POST
/
pricing
/
lookup
Look up SKU pricing
Authorizations
access token
Body
application/json
Response
200 - application/json
Pricing information for requested SKUs
Show child attributes
Show child attributes
⌘I